{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': buildingUnit.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
        {% if is_granted('delete', buildingUnit) == true %}
            {{ form_widget(buildingUnitDeleteForm.delete, {'label': 'LÖSCHEN', 'id': buildingUnitDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Das Objekt und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um das Objekt endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">objekt_{{ buildingUnit.getId() }}</span>
            </p>
            {{ form_start(buildingUnitDeleteForm, {'attr': {'id': buildingUnitDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'property_vacancy_management/form/building_unit/delete_form.html.twig' with {'form': buildingUnitDeleteForm} only %}
            {{ form_row(buildingUnitDeleteForm._token) }}
            {{ form_end(buildingUnitDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            {% include 'property_vacancy_management/form/building_unit/building_unit_basic_data_form.html.twig' with {'form': buildingUnitBasicDataForm, 'places': places} only %}
        </div>
    </div>
{% endblock %}
